import { styled } from '@arcblock/ux/lib/Theme';
import PropTypes from 'prop-types';

export default function Copyright({ owner = 'ArcBlock', year = `${new Date().getFullYear()}`, ...rest }) {
  return (
    <Root {...rest}>
      Copyright © {year} {owner}
    </Root>
  );
}

Copyright.propTypes = {
  owner: PropTypes.string,
  year: PropTypes.string,
};

const Root = styled('p')`
  display: flex;
  align-items: center;
  margin: 0;
  font-size: 13px;
`;
